
%define modename tdtd

Summary: A GNU Emacs major mode for editing DTDs.
name: emacs-%{modename}
Version: 0.7.1
Release: 4mdk
BuildRequires: emacs-bin 
Requires: emacs >= 20.7
License: GPL
URL: http://www.menteith.com/tdtd/
Source: http://www.menteith.com/tdtd/data/%{name}-%{version}.tar.bz2
Group: Editors
Buildroot: %{_tmppath}/%{name}-root
BuildArch: noarch
%define tdtddir %{_datadir}/emacs/site-lisp/tdtd

%description
Emacs is an advanced and extensible editor. An Emacs major mode
customizes Emacs for editing particular types of text documents. 
This package contains an emacs major mode for editing SGML and XML
DTDs.

%prep
%setup -n %{modename}

%build
emacs  -batch -q -no-site-file -eval '(setq load-path (cons "." load-path))' -f batch-byte-compile %{modename}-font.el  %{modename}.el 
#emacs  -batch -q -no-site-file -f batch-byte-compile %{modename}-font.el 
#emacs  -batch -q -no-site-file -l %{modename}-font.el -f batch-byte-compile %{modename}.el 

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{tdtddir}
install *.elc $RPM_BUILD_ROOT%{tdtddir}
install -d %buildroot%{_sysconfdir}/emacs/site-start.d

cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{modename}-init.el
(add-to-list 'load-path "%{tdtddir}")

EOF
cat dot_emacs >> %buildroot%{_sysconfdir}/emacs/site-start.d/%{modename}-init.el

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc changelog.txt readme.txt TODO tutorial.txt
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{modename}-init.el
%{tdtddir}

%changelog
* Fri Feb  6 2004 Camille Begnis <camille@mandrakesoft.com> 0.7.1-4mdk
- rebuild

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.1-3mdk
- rebuild for latest emacs

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-2mdk
- change license to GPL after looking at the top of the main source file 
- add %%clean
- buildrequires emacs-bin instead of emacs

* Tue Dec 11 2001 Camille Begnis <camille@mandrakesoft.com> 0.7.1-1mdk
- First specs
